Index: /code/trunk/src/modules/overlays/hud/HUDPickupItem.cc
===================================================================
--- /code/trunk/src/modules/overlays/hud/HUDPickupItem.cc	(revision 11700)
+++ /code/trunk/src/modules/overlays/hud/HUDPickupItem.cc	(revision 11701)
@@ -50,5 +50,4 @@
 
         std::string name = "HUDPickupItem" + getUniqueNumberString();
-        orxout() << "name: "<< name<<endl;
         overlayElement_ = static_cast<Ogre::PanelOverlayElement* >(Ogre::OverlayManager::getSingleton().createOverlayElement("Panel", name ));
 
@@ -59,8 +58,4 @@
     HUDPickupItem::~HUDPickupItem()
     {
-        /*if (this->isInitialized())
-        {
-            overlayElement_=nullptr;
-        }*/
     }
 
@@ -78,8 +73,6 @@
         assert(overlayElement_);
         assert(this->background_);
-        orxout()<< overlayElement_->getName()<< endl;
         //overlayElement_->hide();
         this->background_->removeChild(overlayElement_->getName());
-        
     }
 }
Index: /code/trunk/src/modules/overlays/hud/HUDPickupSystem.cc
===================================================================
--- /code/trunk/src/modules/overlays/hud/HUDPickupSystem.cc	(revision 11700)
+++ /code/trunk/src/modules/overlays/hud/HUDPickupSystem.cc	(revision 11701)
@@ -56,8 +56,4 @@
     HUDPickupSystem::~HUDPickupSystem()
     {
-        /*if (this->isInitialized())
-        {
-            this->picks.clear();
-        }*/
     }
 
@@ -72,11 +68,7 @@
         //hide all pickup symbols in HUD and delete from local map
         
-        orxout() << "picks size before: " << picks.size() << endl;
-        orxout() << "p size before: " << p.size() << endl;
-
         for(const auto& sm_pair : picks)
         {
             sm_pair.second->hideMe(sm_pair.first, repaint);
-            orxout() << "deleting local list picks: " << picks.size() << " pickup ptr" << sm_pair.first << endl;
         }
 
@@ -89,6 +81,4 @@
         float offsetY = 0.82f;
         const float x = 0.102f;
-        orxout() << "picks size after: " << picks.size() << endl;
-        orxout() << "p size after: " << p.size() << endl;
 
         for(Pickupable* pickup:p)
@@ -104,5 +94,4 @@
             HUDPickupItem* item = new HUDPickupItem(this->getContext());
             item->initializeMaterial(this->getIcon(((Pickup*)pickup)->getRepresentationName()), offsetX+i*x, offsetY);
-            orxout() << "created new pickupHUDItem"<<endl;
             item->setOverlayGroup(this->getOverlayGroup());
             picks[pickup] = item;
Index: /code/trunk/src/modules/pickup/PickupManager.cc
===================================================================
--- /code/trunk/src/modules/pickup/PickupManager.cc	(revision 11700)
+++ /code/trunk/src/modules/pickup/PickupManager.cc	(revision 11701)
@@ -105,5 +105,5 @@
         this->indexes_.clear();
 
-        orxout() << "PickupManager destroyed." << endl;
+        orxout(internal_info, context::pickups) << "PickupManager destroyed." << endl;
     }
 
@@ -265,5 +265,4 @@
         assert(pickup);
 
-        orxout() << "just got called"<<endl;
         for (HUDPickupSystem* hud : ObjectList<HUDPickupSystem>())
             pickupSystem = hud;
@@ -317,5 +316,4 @@
             if(pickupSystem)
                 pickupSystem->sync(picks, indexes_);
-            orxout() << "end of pickupChangedPickedUp" << endl;
         }
 
Index: /code/trunk/src/orxonox/interfaces/Pickupable.cc
===================================================================
--- /code/trunk/src/orxonox/interfaces/Pickupable.cc	(revision 11700)
+++ /code/trunk/src/orxonox/interfaces/Pickupable.cc	(revision 11701)
@@ -80,5 +80,4 @@
         if(this->isPickedUp())
             this->drop(false); // Drops the pickup without creating a PickupSpawner.
-        orxout()<< "end of preDestroy" << endl;
     }
 
@@ -99,10 +98,8 @@
     void Pickupable::destroyPickup(void)
     {
-        orxout()<< "beginning of actual destroy" << endl;
         if(!this->isBeingDestroyed())
             this->Destroyable::destroy();
         else
             orxout(internal_warning, context::pickups) << this->getIdentifier()->getName() << " may be unsafe. " << endl;
-        orxout()<<"end of actual destroy" << endl;
     }
 