Index: /code/trunk/data/overlays/HUDPickupTemplate.oxo
===================================================================
--- /code/trunk/data/overlays/HUDPickupTemplate.oxo	(revision 11704)
+++ /code/trunk/data/overlays/HUDPickupTemplate.oxo	(revision 11705)
@@ -187,5 +187,7 @@
     <HUDPickupSystem
      name                   = "PickupSystem"
+     background             = "PickupBar"
      correctaspect          = true
+     size                   = "0.70, 0.15"
      position               = "0.32, 0.81"
      pickpoint              = "0.0, 0.0"
Index: /code/trunk/data/overlays/HUDTemplates3.oxo
===================================================================
--- /code/trunk/data/overlays/HUDTemplates3.oxo	(revision 11704)
+++ /code/trunk/data/overlays/HUDTemplates3.oxo	(revision 11705)
@@ -187,5 +187,7 @@
     <HUDPickupSystem
      name                   = "PickupSystem"
+     background             = "PickupBar"
      correctaspect          = true
+     size                   = "0.70, 0.15"
      position               = "0.32, 0.81"
      pickpoint              = "0.0, 0.0"
Index: /code/trunk/src/modules/overlays/OverlaysPrereqs.h
===================================================================
--- /code/trunk/src/modules/overlays/OverlaysPrereqs.h	(revision 11704)
+++ /code/trunk/src/modules/overlays/OverlaysPrereqs.h	(revision 11705)
@@ -105,5 +105,4 @@
     class TeamBaseMatchScore;
     class HUDPickupSystem;
-    class HUDPickupItem;
 
     // stats
Index: /code/trunk/src/modules/overlays/hud/CMakeLists.txt
===================================================================
--- /code/trunk/src/modules/overlays/hud/CMakeLists.txt	(revision 11704)
+++ /code/trunk/src/modules/overlays/hud/CMakeLists.txt	(revision 11705)
@@ -14,5 +14,4 @@
   HUDWeapon.cc
   HUDWeaponSystem.cc
-  HUDPickupItem.cc
   HUDPickupSystem.cc
   ChatOverlay.cc
Index: de/trunk/src/modules/overlays/hud/HUDPickupItem.cc
===================================================================
--- /code/trunk/src/modules/overlays/hud/HUDPickupItem.cc	(revision 11704)
+++ 	(revision )
@@ -1,74 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Patrick Wintermeyer
- *   Co-authors:
- *      ...
- *
- */
-
-#include "HUDPickupItem.h"
-
-#include <string>
-
-
-#include <OgreOverlayManager.h>
-#include <OgrePanelOverlayElement.h> 
-
-#include "core/CoreIncludes.h"
-#include "core/class/Super.h"
-#include "util/StringUtils.h"
-#include "HUDPickupItem.h"
-
-namespace orxonox
-{
-    RegisterClass(HUDPickupItem);
-
-    HUDPickupItem::HUDPickupItem(Context* context) : OrxonoxOverlay(context)
-    {
-        RegisterObject(HUDPickupItem);
-
-        std::string name = "HUDPickupItem" + getUniqueNumberString();
-        overlayElement_ = static_cast<Ogre::PanelOverlayElement* >(Ogre::OverlayManager::getSingleton().createOverlayElement("Panel", name ));
-
-        overlayElement_->setDimensions(0.075f,0.08f);
-        
-    }
-
-    HUDPickupItem::~HUDPickupItem()
-    {
-    }
-
-    void HUDPickupItem::initializeMaterial(const std::string& s, float x, float y)
-    {
-        overlayElement_->setMaterialName(s);
-        overlayElement_->setPosition(x, y);
-        overlayElement_->show();
-        this->background_->addChild(overlayElement_);
-    }
-
-    void HUDPickupItem::hideMe()
-    {
-        //overlayElement_->hide();
-        this->background_->removeChild(overlayElement_->getName());
-    }
-}
Index: de/trunk/src/modules/overlays/hud/HUDPickupItem.h
===================================================================
--- /code/trunk/src/modules/overlays/hud/HUDPickupItem.h	(revision 11704)
+++ 	(revision )
@@ -1,26 +1,0 @@
-
-#ifndef _HUDPickupItem_H__
-#define _HUDPickupItem_H__
-
-#include "overlays/OverlaysPrereqs.h"
-
-#include "util/OgreForwardRefs.h"
-#include "overlays/OrxonoxOverlay.h"
-
-namespace orxonox
-{
-    class _OverlaysExport HUDPickupItem : public OrxonoxOverlay
-    {
-    public:
-        HUDPickupItem(Context* context);
-        virtual ~HUDPickupItem();
-        
-        void initializeMaterial(const std::string& s, float x, float y);  
-        void hideMe();
-
-    private:
-        Ogre::PanelOverlayElement* overlayElement_;
-    };
-}
-
-#endif
Index: /code/trunk/src/modules/overlays/hud/HUDPickupSystem.cc
===================================================================
--- /code/trunk/src/modules/overlays/hud/HUDPickupSystem.cc	(revision 11704)
+++ /code/trunk/src/modules/overlays/hud/HUDPickupSystem.cc	(revision 11705)
@@ -31,11 +31,11 @@
 
 #include <OgreOverlayManager.h>
+#include <OgreOverlayElement.h>
 #include <OgrePanelOverlayElement.h>
 
 #include "core/CoreIncludes.h"
 #include "core/class/Super.h"
-#include "util/StringUtils.h"
+#include "util/Convert.h"
 #include "HUDPickupSystem.h"
-#include "HUDPickupItem.h"
 #include "pickup/PickupManager.h"
 
@@ -48,13 +48,27 @@
         RegisterObject(HUDPickupSystem);
 
-        overlayElement_ = static_cast<Ogre::PanelOverlayElement* >(Ogre::OverlayManager::getSingleton().createOverlayElement("Panel", "HUDPickupSystem" + getUniqueNumberString()));
-        overlayElement_->setMaterialName("PickupBar");
-        overlayElement_->setPosition(0.0f,0.0f);
-        overlayElement_->setDimensions(0.70f,0.15f);
-        this->background_->addChild(overlayElement_);
+        const float offsetX = 0.02f;
+        const float offsetY = 0.05f;
+        const float x = 0.2;
+        const float y = 0.5f;
+
+        for (int index = 0; index < 10; ++index)
+        {
+            int row = index / 5;
+            int column = index % 5;
+
+            std::string name = "HUDPickupItem" + multi_cast<std::string>(index);
+            Ogre::OverlayElement* item = Ogre::OverlayManager::getSingleton().createOverlayElement("Panel", name);
+
+            item->setDimensions(0.16, 0.4);
+            item->setPosition(offsetX + column*x, offsetY + row*y);
+            this->items_.push_back(item);
+        }
     }
 
     HUDPickupSystem::~HUDPickupSystem()
     {
+        for (Ogre::OverlayElement* item : items_)
+            Ogre::OverlayManager::getSingleton().destroyOverlayElement(item);
     }
 
@@ -69,31 +83,21 @@
         SUPER(HUDPickupSystem, tick, dt);
 
-        //hide all pickup symbols in HUD and delete from local map
-        for(HUDPickupItem* item : items_)
+        int numPickups = PickupManager::getInstance().getNumPickups();
+        for (size_t index = 0; index < this->items_.size(); ++index)
         {
-            item->hideMe();
-        }
+            Ogre::OverlayElement* item = this->items_[index];
 
-        items_.clear();
-        assert(items_.empty()); //items_ must be empty now
-
-        //add to local map and place on screen
-        const float offsetX = 0.345f;
-        const float offsetY = 0.82f;
-        const float x = 0.102f;
-        const float y = 0.075f;
-
-        int numPickups = PickupManager::getInstance().getNumPickups();
-        for (int index = 0; index < numPickups; ++index)
-        {
-            int row = index / 5;
-            int column = index % 5;
-
-            const PickupInventoryContainer* container = PickupManager::getInstance().popPickup();
-
-            HUDPickupItem* item = new HUDPickupItem(this->getContext());
-            item->initializeMaterial(this->getIcon(container->representationName), offsetX+column*x, offsetY+row*y);
-            item->setOverlayGroup(this->getOverlayGroup());
-            items_.push_back(item);
+            if (static_cast<int>(index) < numPickups)
+            {
+                const PickupInventoryContainer* container = PickupManager::getInstance().popPickup();
+                item->setMaterialName(this->getIcon(container->representationName));
+                if (!item->getParent())
+                    this->background_->addChild(item);
+            }
+            else
+            {
+                if (item->getParent())
+                    this->background_->removeChild(item->getName());
+            }
         }
     }
Index: /code/trunk/src/modules/overlays/hud/HUDPickupSystem.h
===================================================================
--- /code/trunk/src/modules/overlays/hud/HUDPickupSystem.h	(revision 11704)
+++ /code/trunk/src/modules/overlays/hud/HUDPickupSystem.h	(revision 11705)
@@ -51,9 +51,7 @@
 
     private:
-        
         std::string getIcon(std::string repName);
 
-        std::vector<HUDPickupItem*> items_;
-        Ogre::PanelOverlayElement* overlayElement_;
+        std::vector<Ogre::OverlayElement*> items_;
     };
 }