Index: code/trunk/data/gui/scripts/PickupInventory.lua
===================================================================
--- code/trunk/data/gui/scripts/PickupInventory.lua	(revision 11706)
+++ code/trunk/data/gui/scripts/PickupInventory.lua	(revision 11710)
@@ -51,13 +51,11 @@
                 else
                     useButton:setEnabled(true)
-                    if pickup.inUse == true then
-                        useButton:setText("unuse")
-                        orxonox.GUIManager:subscribeEventHelper(useButton, "Clicked", P.name .. ".InventoryUseDetailButton_clicked")
+                    if pickup.inUse == false then
+                        useButton:setText("use")
                         if pickup.usable == false then
                             useButton:setEnabled(false)
                         end
                     else
-                        useButton:setText("use")
-                        orxonox.GUIManager:subscribeEventHelper(useButton, "Clicked", P.name .. ".InventoryUnuseDetailButton_clicked")
+                        useButton:setText("unuse")
                         if pickup.unusable == false then
                             useButton:setEnabled(false)
@@ -135,5 +133,4 @@
     if pickup.inUse == false then
         useButton:setText("use")
-        orxonox.GUIManager:subscribeEventHelper(useButton, "Clicked", P.name .. ".InventoryUseButton_clicked")
         if pickup.usable == false then
             useButton:setEnabled(false)
@@ -141,9 +138,9 @@
     else
         useButton:setText("unuse")
-        orxonox.GUIManager:subscribeEventHelper(useButton, "Clicked", P.name .. ".InventoryUnuseButton_clicked")
         if pickup.unusable == false then
             useButton:setEnabled(false)
         end
     end
+    orxonox.GUIManager:subscribeEventHelper(useButton, "Clicked", P.name .. ".InventoryUseUnuseButton_clicked")
     item:addChildWindow(useButton)
 
@@ -240,5 +237,4 @@
     if pickup.inUse == false then
         useButton:setText("use")
-        orxonox.GUIManager:subscribeEventHelper(useButton, "Clicked", P.name .. ".InventoryUseDetailButton_clicked")
         if pickup.usable == false then
             useButton:setEnabled(false)
@@ -246,9 +242,9 @@
     else
         useButton:setText("unuse")
-        orxonox.GUIManager:subscribeEventHelper(useButton, "Clicked", P.name .. ".InventoryUnuseDetailButton_clicked")
         if pickup.unusable == false then
             useButton:setEnabled(false)
         end
     end
+    orxonox.GUIManager:subscribeEventHelper(useButton, "Clicked", P.name .. ".InventoryUseUnuseDetailButton_clicked")
     wrapper:addChildWindow(useButton)
     
@@ -275,14 +271,12 @@
 end
 
-function P.InventoryUseButton_clicked(e)
+function P.InventoryUseUnuseButton_clicked(e)
     local pickupIndex = P.windowToPickupHelper(e)
     local pickup = P.pickupsList[pickupIndex]
-    orxonox.PickupManager:getInstance():usePickup(pickup.pickup, true)
-end
-
-function P.InventoryUnuseButton_clicked(e)
-    local pickupIndex = P.windowToPickupHelper(e)
-    local pickup = P.pickupsList[pickupIndex]
-    orxonox.PickupManager:getInstance():usePickup(pickup.pickup, false)
+    if pickup.inUse == false then
+        orxonox.PickupManager:getInstance():usePickup(pickup.pickup, true)
+    else
+        orxonox.PickupManager:getInstance():usePickup(pickup.pickup, false)
+    end
 end
 
@@ -298,14 +292,12 @@
 end
 
-function P.InventoryUseDetailButton_clicked(e)
+function P.InventoryUseUnuseDetailButton_clicked(e)
     local pickupIndex = P.windowToPickupHelper(e)
     local pickup = P.detailPickups[pickupIndex]
-    orxonox.PickupManager:getInstance():usePickup(pickup.pickup, true)
-end
-
-function P.InventoryUnuseDetailButton_clicked(e)
-    local pickupIndex = P.windowToPickupHelper(e)
-    local pickup = P.detailPickups[pickupIndex]
-    orxonox.PickupManager:getInstance():usePickup(pickup.pickup, false)
+    if pickup.inUse == false then
+        orxonox.PickupManager:getInstance():usePickup(pickup.pickup, true)
+    else
+        orxonox.PickupManager:getInstance():usePickup(pickup.pickup, false)
+    end
 end
 