Index: code/trunk/src/modules/dodgerace/DodgeRace.cc
===================================================================
--- code/trunk/src/modules/dodgerace/DodgeRace.cc	(revision 11715)
+++ code/trunk/src/modules/dodgerace/DodgeRace.cc	(revision 11716)
@@ -225,10 +225,9 @@
         // It will misteriously crash the game!
         // Instead startMainMenu, this won't crash.
-        if (Highscore::exists()){
-                    int score = this->getPoints();
-                    if(score > Highscore::getInstance().getHighestScoreOfGame("Dodge Race")) 
-                        Highscore::getInstance().storeHighscore("Dodge Race",score,this->getPlayer()->getPlayer());
-
-          }
+        if (Highscore::exists())
+        {
+            int score = this->getPoints();
+            Highscore::getInstance().storeScore("Dodge Race", score, this->getPlayer()->getPlayer());
+        }
         GSLevel::startMainMenu();
     }
Index: code/trunk/src/modules/invader/Invader.cc
===================================================================
--- code/trunk/src/modules/invader/Invader.cc	(revision 11715)
+++ code/trunk/src/modules/invader/Invader.cc	(revision 11716)
@@ -189,10 +189,9 @@
         // It will misteriously crash the game!
         // Instead startMainMenu, this won't crash.
-        if (Highscore::exists()){
-                    int score = this->getPoints();
-                    if(score > Highscore::getInstance().getHighestScoreOfGame("Orxonox Arcade")) 
-                        Highscore::getInstance().storeHighscore("Orxonox Arcade",score,this->getPlayer()->getPlayer());
-
-          }
+        if (Highscore::exists())
+        {
+            int score = this->getPoints();
+            Highscore::getInstance().storeScore("Orxonox Arcade", score, this->getPlayer()->getPlayer());
+        }
         GSLevel::startMainMenu();
     }
Index: code/trunk/src/modules/jump/Jump.cc
===================================================================
--- code/trunk/src/modules/jump/Jump.cc	(revision 11715)
+++ code/trunk/src/modules/jump/Jump.cc	(revision 11716)
@@ -312,10 +312,9 @@
         cleanup();
         GSLevel::startMainMenu();
-        if (Highscore::exists()){
-                    int score = this->getScore(this->getPlayer());
-                    if(score > Highscore::getInstance().getHighestScoreOfGame("Jump")) 
-                        Highscore::getInstance().storeHighscore("Jump",score,this->getPlayer());
-
-          }
+        if (Highscore::exists())
+        {
+            int score = this->getScore(this->getPlayer());
+            Highscore::getInstance().storeScore("Jump", score, this->getPlayer());
+        }
         Deathmatch::end();
     }
Index: code/trunk/src/modules/tetris/Tetris.cc
===================================================================
--- code/trunk/src/modules/tetris/Tetris.cc	(revision 11715)
+++ code/trunk/src/modules/tetris/Tetris.cc	(revision 11716)
@@ -328,10 +328,9 @@
             this->player_->stopControl();
         }
-         if (Highscore::exists()){
-                    int score = this->getScore(this->getPlayer());
-                    if(score > Highscore::getInstance().getHighestScoreOfGame("Tetris")) 
-                        Highscore::getInstance().storeHighscore("Tetris",score,this->getPlayer());
-
-          }
+        if (Highscore::exists())
+        {
+            int score = this->getScore(this->getPlayer());
+            Highscore::getInstance().storeScore("Tetris", score, this->getPlayer());
+        }
         this->cleanup();
 
Index: code/trunk/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/trunk/src/modules/towerdefense/TowerDefense.cc	(revision 11715)
+++ code/trunk/src/modules/towerdefense/TowerDefense.cc	(revision 11716)
@@ -198,10 +198,9 @@
     void TowerDefense::end()
     {
-        if (Highscore::exists()){
-                    int score = this->getWaveNumber();
-                    if(score > Highscore::getInstance().getHighestScoreOfGame("Tower Defense")) 
-                        Highscore::getInstance().storeHighscore("Tower Defense",score,this->getPlayer());
-
-          }
+        if (Highscore::exists())
+        {
+            int score = this->getWaveNumber();
+            Highscore::getInstance().storeScore("Tower Defense", score, this->getPlayer());
+        }
         TeamDeathmatch::end();
         ChatManager::message("Match is over! Gameover!");