Index: /code/trunk/src/orxonox/Highscore.cc
===================================================================
--- /code/trunk/src/orxonox/Highscore.cc	(revision 11716)
+++ /code/trunk/src/orxonox/Highscore.cc	(revision 11717)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      kappenh
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "Highscore.h"
 
@@ -10,7 +38,7 @@
 {
     ManageScopedSingleton(Highscore, ScopeID::ROOT, false);
-	RegisterClassNoArgs(Highscore);
+    RegisterClassNoArgs(Highscore);
 
-	Highscore::Highscore()
+    Highscore::Highscore()
     {
         RegisterObject(Highscore);
@@ -30,5 +58,6 @@
      * Else returns -1.
      */
-    int Highscore::getHighestScoreOfGame(const std::string& game){
+    int Highscore::getHighestScoreOfGame(const std::string& game)
+    {
         const std::string delimiter = "./."; //score save as "Playername./.game./.score"
         int best = -1;
@@ -38,8 +67,10 @@
             //filter the game string from given highscore
             score.erase(0, score.find(delimiter) + delimiter.length());
-            if(game.compare(score.substr(0,score.find(delimiter))) == 0){
+            if (game.compare(score.substr(0,score.find(delimiter))) == 0)
+            {
                 score.erase(0, score.find(delimiter) + delimiter.length());
                 int possibleBest = multi_cast<int>(score);
-                if(possibleBest > best) best = possibleBest;
+                if (possibleBest > best)
+                    best = possibleBest;
             }
         }
@@ -52,6 +83,8 @@
      * @brief stores a new highscore in the orxonox.ini file if the new score is better than the highest score so far.
      */
-    void Highscore::storeScore(const std::string& level, int points, PlayerInfo* player){
-        if (points > this->getHighestScoreOfGame(level)) {
+    void Highscore::storeScore(const std::string& level, int points, PlayerInfo* player)
+    {
+        if (points > this->getHighestScoreOfGame(level))
+        {
             ModifyConfigValue(highscores_, add, player->getName() + "./." + level + "./." + multi_cast<std::string>(points));
         }
Index: /code/trunk/src/orxonox/Highscore.h
===================================================================
--- /code/trunk/src/orxonox/Highscore.h	(revision 11716)
+++ /code/trunk/src/orxonox/Highscore.h	(revision 11717)
@@ -1,2 +1,33 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      kappenh
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _Highscore_H__
+#define _Highscore_H__
+
 #include <string>
 #include <vector>
@@ -9,31 +40,32 @@
 namespace orxonox
 {
-class _OrxonoxExport Highscore 
-// tolua_end
- : public Singleton<Highscore>, public Configurable
-{ //tolua_export
-    friend class Singleton<Highscore>;
-    public:
-        Highscore();              // Constructor
-        void setConfigValues(); // Inherited function
+    class _OrxonoxExport Highscore
+    // tolua_end
+     : public Singleton<Highscore>, public Configurable
+    { //tolua_export
+        friend class Singleton<Highscore>;
+        public:
+            Highscore();              // Constructor
+            void setConfigValues(); // Inherited function
 
-        void storeScore(const std::string& level, int points, PlayerInfo* player);
-        int getHighestScoreOfGame(const std::string& game);
+            void storeScore(const std::string& level, int points, PlayerInfo* player);
+            int getHighestScoreOfGame(const std::string& game);
 
-        // tolua_begin
-        inline unsigned int getNumberOfHighscores()
-            { return this->highscores_.size(); }
-        inline const std::string& getHighscore(unsigned int index)
-            { return this->highscores_[index]; }
+            // tolua_begin
+            inline unsigned int getNumberOfHighscores()
+                { return this->highscores_.size(); }
+            inline const std::string& getHighscore(unsigned int index)
+                { return this->highscores_[index]; }
 
-        static Highscore& getInstance()
-            { return Singleton<Highscore>::getInstance(); }
-        // tolua_end 
+            static Highscore& getInstance()
+                { return Singleton<Highscore>::getInstance(); }
+            // tolua_end
 
-    private:
-        std::vector<std::string> highscores_;
-        static Highscore* singletonPtr_s;
-}; //tolua_export
-
+        private:
+            std::vector<std::string> highscores_;
+            static Highscore* singletonPtr_s;
+    }; //tolua_export
 
 } //tolua_export
+
+#endif /* _Highscore_H__ */