Index: code/trunk/src/modules/dialogue/DialogueManager.cc
===================================================================
--- code/trunk/src/modules/dialogue/DialogueManager.cc	(revision 11716)
+++ code/trunk/src/modules/dialogue/DialogueManager.cc	(revision 11718)
@@ -15,78 +15,73 @@
 
 namespace orxonox {
-	ManageScopedSingleton(DialogueManager, ScopeID::ROOT, false);
-	
+    ManageScopedSingleton(DialogueManager, ScopeID::ROOT, false);
+    
+    DialogueManager::DialogueManager(){}
 
-	
-	DialogueManager::DialogueManager(){}
-	
+    void DialogueManager::registerquestion(NextQuestion* nq){
+        if(allQuestions.size()==0) {
+            orxout(internal_info) << "At least one NextQuestion has to be set." << endl;
+        }
+        allQuestions.push_back(nq);
+        orxout(internal_info) << "qsize " << allQuestions.size();
 
-	
-    
-
-	void DialogueManager::registerquestion(NextQuestion* nq){
-		if(allQuestions.size()==0) {
-			orxout(internal_info) << "At least one NextQuestion has to be set." << endl;
-		} 
-		allQuestions.push_back(nq);
-			orxout(internal_info) << "qsize " << allQuestions.size();
-
-	}	
+    }
 
     void DialogueManager::setquestion(std::string q){
-		question=q;
-		
-	}
-	void DialogueManager::setCurrentQuestion(NextQuestion* nq){
-		currentQuestion=nq;
-		
-	}
+        question=q;
 
-	std::string DialogueManager::getquestion(void){
-		return question;
-	}
+    }
+    void DialogueManager::setCurrentQuestion(NextQuestion* nq){
+        currentQuestion=nq;
 
-	void DialogueManager::setanswers1(std::string a1){
-		this->a1=a1;
-				}
+    }
 
-	void DialogueManager::setanswers2(std::string a2){
-		this->a2=a2;
-				}
+    std::string DialogueManager::getquestion(void){
+        return question;
+    }
 
-	
+    void DialogueManager::setanswers1(std::string a1){
+        this->a1=a1;
+    }
 
-	std::string DialogueManager::getanswers1(void){
-		return a1;
-	}
+    void DialogueManager::setanswers2(std::string a2){
+        this->a2=a2;
+    }
 
-	std::string DialogueManager::getanswers2(void){
-		return a2;
-	}
 
-	void DialogueManager::a1clicked(void){
-		
-		currentQuestion = currentQuestion->possibleQuestions[0];
-		update(currentQuestion);
 
-		
-	}
-	void DialogueManager::a2clicked(void){
-		
-		currentQuestion = currentQuestion->possibleQuestions[1];
-		update(currentQuestion);
-	}
+    std::string DialogueManager::getanswers1(void){
+        return a1;
+    }
 
-	 void DialogueManager::update(NextQuestion* nq){
-	 	this->setquestion(nq->getquestion());
-	 	this->setanswers1(nq->getanswers1());
-	 	this->setanswers2(nq->getanswers2());
-	 }
+    std::string DialogueManager::getanswers2(void){
+        return a2;
+    }
 
-	bool DialogueManager::theEnd(){
-	if((currentQuestion->possibleQuestions).empty()) {
-		return true;}
-	else return false;
-	}
+    void DialogueManager::a1clicked(void){
+
+        currentQuestion = currentQuestion->possibleQuestions[0];
+        update(currentQuestion);
+
+
+    }
+    void DialogueManager::a2clicked(void){
+
+        currentQuestion = currentQuestion->possibleQuestions[1];
+        update(currentQuestion);
+    }
+
+    void DialogueManager::update(NextQuestion* nq){
+        this->setquestion(nq->getquestion());
+        this->setanswers1(nq->getanswers1());
+        this->setanswers2(nq->getanswers2());
+    }
+
+    bool DialogueManager::theEnd(){
+        if((currentQuestion->possibleQuestions).empty())
+            return true;
+        else
+            return false;
+    }
 
 }
Index: code/trunk/src/modules/dialogue/DialogueManager.h
===================================================================
--- code/trunk/src/modules/dialogue/DialogueManager.h	(revision 11716)
+++ code/trunk/src/modules/dialogue/DialogueManager.h	(revision 11718)
@@ -24,51 +24,51 @@
 
 {//tolua_export
-	class _DialogueExport DialogueManager //tolua_export
-	: public Singleton<DialogueManager>
-	{//tolua_export
-		friend class Singleton<DialogueManager>;
-	
-		public:
-		
-		DialogueManager(); 
-		
+    class _DialogueExport DialogueManager //tolua_export
+    : public Singleton<DialogueManager>
+    {//tolua_export
+        friend class Singleton<DialogueManager>;
 
-		static DialogueManager& getInstance() { return Singleton<DialogueManager>::getInstance(); } //tolua_export
-		
+        public:
 
-		void setquestion(std::string question); //tolua_export
-		std::string getquestion(void); //tolua_export
-		
-		
-		void setanswers1(std::string a1); //tolua_export
-		std::string getanswers1(void); //tolua_export
-		
-		void setanswers2(std::string a2); //tolua_export
-		std::string getanswers2(void); //tolua_export
-		
-		void setCurrentQuestion(NextQuestion* q);
+        DialogueManager();
 
-		//Sets the current Question to the question corresponding to the first/second answer  
-		void a1clicked(void); //tolua_export
-		void a2clicked(void); //tolua_export
-		
-		//Checks whether there are any more Questions to come
-		bool theEnd(); //tolua_export 
 
-		//Sets question and a1, a2 for new currentQuestion
-		void update(NextQuestion* nq);
+        static DialogueManager& getInstance() { return Singleton<DialogueManager>::getInstance(); } //tolua_export
 
-		//Is executed whenever a NextQuestion is created and pushes all NextQuestion into the allQuestion vector.
-		void registerquestion(NextQuestion* nq);
+
+        void setquestion(std::string question); //tolua_export
+        std::string getquestion(void); //tolua_export
+
+
+        void setanswers1(std::string a1); //tolua_export
+        std::string getanswers1(void); //tolua_export
+
+        void setanswers2(std::string a2); //tolua_export
+        std::string getanswers2(void); //tolua_export
+
+        void setCurrentQuestion(NextQuestion* q);
+
+        //Sets the current Question to the question corresponding to the first/second answer
+        void a1clicked(void); //tolua_export
+        void a2clicked(void); //tolua_export
+
+        //Checks whether there are any more Questions to come
+        bool theEnd(); //tolua_export
+
+        //Sets question and a1, a2 for new currentQuestion
+        void update(NextQuestion* nq);
+
+        //Is executed whenever a NextQuestion is created and pushes all NextQuestion into the allQuestion vector.
+        void registerquestion(NextQuestion* nq);
 
 private:
-	NextQuestion* currentQuestion; //The Question which is currently displayed
-	std::vector<NextQuestion*> allQuestions;
-	std::string a1; //answer on first button
-	std::string a2; //answer on second button
-	std::string question;
-	static DialogueManager* singletonPtr_s;
+    NextQuestion* currentQuestion; //The Question which is currently displayed
+    std::vector<NextQuestion*> allQuestions;
+    std::string a1; //answer on first button
+    std::string a2; //answer on second button
+    std::string question;
+    static DialogueManager* singletonPtr_s;
 
-	};//tolua_export
+    };//tolua_export
 }//tolua_export
 #endif
Index: code/trunk/src/modules/dialogue/NextQuestion.cc
===================================================================
--- code/trunk/src/modules/dialogue/NextQuestion.cc	(revision 11716)
+++ code/trunk/src/modules/dialogue/NextQuestion.cc	(revision 11718)
@@ -12,7 +12,7 @@
 namespace orxonox{
 
-	RegisterClass(NextQuestion);
+    RegisterClass(NextQuestion);
 
-	NextQuestion::NextQuestion(Context* context) : BaseObject(context)
+    NextQuestion::NextQuestion(Context* context) : BaseObject(context)
     {
         RegisterObject(NextQuestion);
@@ -24,20 +24,20 @@
     }
 
-	void NextQuestion::setquestion(std::string question){
-		this->question=question;
-	}
+    void NextQuestion::setquestion(std::string question){
+        this->question=question;
+    }
 
-	std::string NextQuestion::getquestion(void){
-		return question;
-	}
+    std::string NextQuestion::getquestion(void){
+        return question;
+    }
 
-	
-	bool NextQuestion::addposQuestion(NextQuestion* nq){
-		
-		possibleQuestions.push_back(nq);
-		return true;
-	}
 
-	const NextQuestion* NextQuestion::getposQuestion(unsigned int i) const
+    bool NextQuestion::addposQuestion(NextQuestion* nq){
+
+        possibleQuestions.push_back(nq);
+        return true;
+    }
+
+    const NextQuestion* NextQuestion::getposQuestion(unsigned int i) const
     {
         for (NextQuestion* effect : this->possibleQuestions)
@@ -49,7 +49,7 @@
         return nullptr;
          }
-	
-	
-	void NextQuestion::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+
+
+    void NextQuestion::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
         SUPER(NextQuestion, XMLPort, xmlelement, mode);
@@ -61,9 +61,9 @@
        
     }
-	bool NextQuestion::execute(bool bTriggered, BaseObject* trigger)
+    bool NextQuestion::execute(bool bTriggered, BaseObject* trigger)
     {  
         
-    	DialogueManager& m = DialogueManager::getInstance();
-        	
+        DialogueManager& m = DialogueManager::getInstance();
+
         m.setquestion(question);
         m.setCurrentQuestion(this);
@@ -86,26 +86,21 @@
 
 
-	void NextQuestion::setanswers1(std::string a1){
-		this->a1=a1;
-				}
+    void NextQuestion::setanswers1(std::string a1){
+        this->a1=a1;
+    }
 
-	void NextQuestion::setanswers2(std::string a2){
-		this->a2=a2;
-				}
-
-	
-
-	std::string NextQuestion::getanswers1(void){
-		return a1;
-	}
-
-	std::string NextQuestion::getanswers2(void){
-		return a2;
-	}
-
-	
+    void NextQuestion::setanswers2(std::string a2){
+        this->a2=a2;
+    }
 
 
 
+    std::string NextQuestion::getanswers1(void){
+        return a1;
+    }
+
+    std::string NextQuestion::getanswers2(void){
+        return a2;
+    }
 
 }
Index: code/trunk/src/modules/dialogue/NextQuestion.h
===================================================================
--- code/trunk/src/modules/dialogue/NextQuestion.h	(revision 11716)
+++ code/trunk/src/modules/dialogue/NextQuestion.h	(revision 11718)
@@ -13,49 +13,49 @@
 
 namespace orxonox{
-	class _DialogueExport NextQuestion : public BaseObject
-	{
-		
-		//tolua_begin
-		public:
+    class _DialogueExport NextQuestion : public BaseObject
+    {
 
-		NextQuestion (Context* context); // tolua_export
-		
+        //tolua_begin
+        public:
 
-		void setquestion(std::string question);
-		std::string getquestion(void);
-
-		void setanswers1(std::string a1);
-		void setanswers2(std::string a2);
-		std::string getanswers1(void);
-		std::string getanswers2(void);
-
-		
-		
-
-		//XMLEventPort for Event that first triggers the Dialogue
-		virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
-
-		//XMLPort for setting questions and answers and the vector possibleQuestions
-		virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
-		bool addposQuestion(NextQuestion* nq);
-		const NextQuestion* getposQuestion(unsigned int index) const;
-
-		//Sets very first currentQuestion in the DialogueManager when the event is triggered
-		bool execute(bool bTriggered, BaseObject* trigger);
-
-		std::vector<NextQuestion*> possibleQuestions;
-	
-	private:
-		std::string a1;
-		std::string a2;
-	
+        NextQuestion (Context* context); // tolua_export
 
 
-		std::string question;
-		DialogueManager* m;
+        void setquestion(std::string question);
+        std::string getquestion(void);
 
-	};
-	
+        void setanswers1(std::string a1);
+        void setanswers2(std::string a2);
+        std::string getanswers1(void);
+        std::string getanswers2(void);
+
+
+
+
+        //XMLEventPort for Event that first triggers the Dialogue
+        virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+
+        //XMLPort for setting questions and answers and the vector possibleQuestions
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
+        bool addposQuestion(NextQuestion* nq);
+        const NextQuestion* getposQuestion(unsigned int index) const;
+
+        //Sets very first currentQuestion in the DialogueManager when the event is triggered
+        bool execute(bool bTriggered, BaseObject* trigger);
+
+        std::vector<NextQuestion*> possibleQuestions;
+
+    private:
+        std::string a1;
+        std::string a2;
+
+
+
+        std::string question;
+        DialogueManager* m;
+
+    };
+
 }
 #endif
Index: code/trunk/src/modules/gametypes/SpaceRaceBot.h
===================================================================
--- code/trunk/src/modules/gametypes/SpaceRaceBot.h	(revision 11716)
+++ code/trunk/src/modules/gametypes/SpaceRaceBot.h	(revision 11718)
@@ -39,5 +39,5 @@
     {
         public:
-        	SpaceRaceBot(Context* context);
+            SpaceRaceBot(Context* context);
             virtual ~SpaceRaceBot();
     