Index: /code/trunk/data/levels/emptyLevel.oxw
===================================================================
--- /code/trunk/data/levels/emptyLevel.oxw	(revision 11718)
+++ /code/trunk/data/levels/emptyLevel.oxw	(revision 11719)
@@ -1,4 +1,4 @@
 <LevelInfo
- name = "emptyLevel"
+ name = "Empty level"
  description = "A level with absolutely nothing in it."
  tags = "test"
@@ -10,10 +10,8 @@
   include("HUDTemplates3.oxo")
   include("templates/lodInformation.oxt")
-  include("templates/HeavyCruiser.oxt")
 ?>
 
 <?lua
   include("templates/spaceshipEscort.oxt")
-  include("templates/endurancetest_template.oxt")
 ?>
 
@@ -31,10 +29,4 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
-
-    <ModularSpaceShip velocity= "20,0,0" position="0,0,200" lookat= "0,0,0" health="1000" maxhealth="1000" initialhealth="1000">
-      <templates>
-        <Template link=endurance />
-      </templates>
-    </ModularSpaceShip>
     
   </Scene>
Index: de/trunk/data/levels/templates/test11.oxt
===================================================================
--- /code/trunk/data/levels/templates/test11.oxt	(revision 11718)
+++ 	(revision )
@@ -1,99 +1,0 @@
-<templates>
-
-    
-    <Template name = endurance>
-
-      <!-- Spaceship parameters -->
-      <SpaceShip
-      hudtemplate            = spaceshiphud
-      camerapositiontemplate = bigshipcameras
-      spawnparticlesource    = "Orxonox/fairytwirl"
-      spawnparticleduration  = 3
-      explosionchunks        = 6
-
-      health            = 100
-      maxhealth         = 200
-      initialhealth     = 100
-
-      shieldhealth        = 100
-      initialshieldhealth = 30
-      maxshieldhealth     = 50
-      shieldabsorption    = 0.8
-      shieldrechargerate  = 1
-      shieldrechargewaittime = 1
-
-      primaryThrust     = 30
-      auxilaryThrust    = 30
-      rotationThrust    = 10
-
-      lift = 1;
-      stallSpeed = 220;
-
-      boostPower            = 30
-      boostPowerRate        = 1.5
-      boostRate             = 4
-      boostCooldownDuration = 10
-
-      shakeFrequency = 15
-      shakeAmplitude = 9
-
-      collisionType     = "dynamic"
-      mass              = 1000
-      linearDamping     = 0.7
-      angularDamping    = 0.9999999
-      >
-
-
-      <!-- Engines of the Spaceship -->
-
-      <engines>
-        <MultiStateEngine position=" 15, 0, 0" template=bigshipengine />
-        <MultiStateEngine position="-15, 0, 0" template=bigshipengine />
-      </engines>
-
-      <!-- Testsphere in testlevel -->
-
-      <MovableEntity position ="0, 0, 0"  velocity= "10, 0, 0"  collisionType=dynamic mass=1000 friction=0.01 >
-
-        <!-- use attached for the different spaceship parts and the lights -->
-        <!-- BlinkingBillboard class for blinking lights -->
-        <attached>
-          <Model position="0,0,0" mesh="sphere.mesh" scale3D="100,100,100" />
-        </attached>
-
-        <!-- Collision Shapes -->
-
-        <collisionShapes>
-        <SphereCollisionShape position="0,0,0" radius="100" />
-      </collisionShapes>
-    </MovableEntity>
-
-    <!-- Explosion and Explosionparts -->
-
-    <!-- Cameras and Cameraposition -->
-
-    <!-- Multistateengine definition + engine sounds -->
-
-    <!-- Large coordinate axis -->
-    <Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
-
-    <!-- Spawnpoint of the Spaceship -->
-    <SpawnPoint team=0 position = "-100,0,0" lookat="0,0,0" spawnclass=Spaceship pawndesign=spaceshippirate />
-
-    <!-- Planets and forcefields -->
-
-
-    <!-- Blacklight to illuminate surfaces -->
-
-    
-
-    <!-- Egine sound of the Spaceship -->
-    <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
-
-    <!-- World Ambient Sound -->
-
-
-    
-  </Spaceship>
-</Template>
-</templates>