Index: code/trunk/src/modules/gametypes/SpaceRace.cc
===================================================================
--- code/trunk/src/modules/gametypes/SpaceRace.cc	(revision 11358)
+++ code/trunk/src/modules/gametypes/SpaceRace.cc	(revision 11720)
@@ -80,8 +80,7 @@
         RegisterObject(SpaceRace);
 
-        this->botclass_ = Class(SpaceRaceBot); //ClassByString("")
+        this->botclass_ = Class(SpaceRaceBot);
         this->cantMove_ = false;
         this->bTimeIsUp_ = false;
-        this->setConfigValues();
 
         this->numberOfBots_ = 5; // quick fix: don't allow default-bots to enter the race 
@@ -89,13 +88,7 @@
     }
 
-  void SpaceRace::setConfigValues()
-    {
-       
-    
-    }
-
     void SpaceRace::start()
     {
-    // define spawn positions of the 5 bots
+        // define spawn positions of the 5 bots
 
         int startpos[15];
@@ -120,35 +113,28 @@
         startpos[13] =-40;
         startpos[14] =80;
-        
-
-
 
         Gametype::start();
-   if (true)
-        {
-            this->spawnPlayersIfRequested();
-            this->cantMove_ = true;
-            //players are unable to move while countdown is running
-            for (Engine* engine : ObjectList<Engine>()){
-                engine->setActive(false);
-                
-
-            }
-           //append spawn positions to bots
-           int a,b,c;
-            a=0;
-            b=1;
-            c=2;
-              for (SpaceRaceBot* bot : ObjectList<SpaceRaceBot>()){
-                bot->getControllableEntity()->setPosition(startpos[a],startpos[b],startpos[c]);
-               a= a+3;
-               b = b+3; 
-               c+= 3;
-            }
-
-
-        }
-
-                                                
+
+        this->spawnPlayersIfRequested();
+        this->cantMove_ = true;
+        //players are unable to move while countdown is running
+        for (Engine* engine : ObjectList<Engine>())
+        {
+            engine->setActive(false);
+        }
+
+        //append spawn positions to bots
+        int a,b,c;
+        a=0;
+        b=1;
+        c=2;
+
+        for (SpaceRaceBot* bot : ObjectList<SpaceRaceBot>())
+        {
+            bot->getControllableEntity()->setPosition(startpos[a], startpos[b], startpos[c]);
+            a += 3;
+            b += 3;
+            c += 3;
+        }
 
         std::string message("Use headphones to hear the countdown!");
@@ -156,6 +142,6 @@
         ChatManager::message(message);
 
-//after 11 seconds , countdownFinished function is called to activate bots` engines
-Timer* countdownTimer = new Timer();
+        //after 11 seconds , countdownFinished function is called to activate bots` engines
+        Timer* countdownTimer = new Timer();
         countdownTimer->setTimer(11, false, createExecutor(createFunctor(&SpaceRace::countdownFinished, this)));
     }
@@ -189,10 +175,4 @@
     }
 
-
-void SpaceRace::tick(float dt)
-    {
-        SUPER(SpaceRace,tick,dt);
-}
-
     void SpaceRace::newCheckpointReached(RaceCheckPoint* checkpoint, PlayerInfo* player)
     {
@@ -207,10 +187,10 @@
         const std::string& message = player->getName() + " reached the checkpoint " + multi_cast<std::string>(checkpoint->getCheckpointIndex() + 1) 
         + "after " + multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds.";
- this->getGametypeInfo()->sendAnnounceMessage(message);
-        ChatManager::message(message);
-
-    }
-
- void SpaceRace::countdownFinished()//activates the engines of all players 
+        this->getGametypeInfo()->sendAnnounceMessage(message);
+        ChatManager::message(message);
+
+    }
+
+    void SpaceRace::countdownFinished()//activates the engines of all players
     {
 
@@ -220,12 +200,9 @@
 
 
-    for (Engine* engine : ObjectList<Engine>())
-                engine->setActive(true);
-
-
-    
-}
-
- void SpaceRace::playerEntered(PlayerInfo* player)
+        for (Engine* engine : ObjectList<Engine>())
+            engine->setActive(true);
+    }
+
+    void SpaceRace::playerEntered(PlayerInfo* player)
     {
         Gametype::playerEntered(player);
@@ -236,5 +213,5 @@
 
 
- void SpaceRace::addBots(unsigned int amount) //function that add the bots to the game 
+    void SpaceRace::addBots(unsigned int amount) //function that add the bots to the game
     {
         for (unsigned int i = 1; i <= amount; ++i){
@@ -244,5 +221,5 @@
 
 
-//set bot configurations
+    //set bot configurations
     bool SpaceRace::allowPawnHit(Pawn* victim, Pawn* originator)
     {
@@ -255,6 +232,5 @@
     }
 
-    bool SpaceRace::allowPawnDeath(Pawn* victim, Pawn* originator)// false because the bots can not recognize the objects and die to early 
-                                                                    //if they can 
+    bool SpaceRace::allowPawnDeath(Pawn* victim, Pawn* originator)// false because the bots can not recognize the objects and die to earlyif they can
     {
         return false;