Index: code/trunk/data/levels/StoryModeMap.oxw
===================================================================
--- code/trunk/data/levels/StoryModeMap.oxw	(revision 11719)
+++ code/trunk/data/levels/StoryModeMap.oxw	(revision 11722)
@@ -4,5 +4,4 @@
  name = "StoryModeMap"
  description = "The Campaign Menu Map with all the Campaignmissons in it"
- tags = "Campaign, Campaignmissons"
  screenshot = "emptylevel.png"
 />
@@ -13,6 +12,4 @@
   include("templates/lodInformation.oxt")
   include("templates/StoryMode.oxt")
-
-  include("templates/lodInformation.oxt")
 ?>
 
@@ -32,57 +29,36 @@
 
 
-<StaticEntity position="0,0,0" direction="0,0,0" >
-  <attached>
+    <StaticEntity position="0,0,0" direction="0,0,0" >
+      <attached>
 
-    <Model position="600,370,0" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="600,370,-80"  material="Flares/lensflare" scale=4.5 />
+        <Model position="600,370,0" mesh="planets/moon.mesh" scale=100 />
+        <Billboard colour="1,1,0.05" position="600,370,-80"  material="Flares/lensflare" scale=4.5 />
   
-    <Model position="100,350,-250" mesh="planets/moon.mesh" scale=100  />
-    <Billboard colour="1,1,0.05" position="100,350,-330"  material="Flares/lensflare" scale=4.5 />
+        <Model position="100,350,-250" mesh="planets/moon.mesh" scale=100  />
+        <Billboard colour="1,1,0.05" position="100,350,-330"  material="Flares/lensflare" scale=4.5 />
 
-    <Model position="-600,250,-500" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-600,250,-580"  material="Flares/lensflare" scale=5 />
+        <Model position="-600,250,-500" mesh="planets/moon.mesh" scale=100 />
+        <Billboard colour="1,1,0.05" position="-600,250,-580"  material="Flares/lensflare" scale=5 />
 
-    <Model position="-1000,50,-750" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-1000,50,-830"  material="Flares/lensflare" scale=5 />
+        <Model position="-1000,50,-750" mesh="planets/moon.mesh" scale=100 />
+        <Billboard colour="1,1,0.05" position="-1000,50,-830"  material="Flares/lensflare" scale=5 />
 
-    <Model position="-900,-400,-1000" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-900,-400,-1080"  material="Flares/lensflare" scale=5 />
+        <Model position="-900,-400,-1000" mesh="planets/moon.mesh" scale=100 />
+        <Billboard colour="1,1,0.05" position="-900,-400,-1080"  material="Flares/lensflare" scale=5 />
 
-    <Model position="-500,-700,-1250" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="-500,-700,-1330"  material="Flares/lensflare" scale=5 />
+        <Model position="-500,-700,-1250" mesh="planets/moon.mesh" scale=100 />
+        <Billboard colour="1,1,0.05" position="-500,-700,-1330"  material="Flares/lensflare" scale=5 />
 
-    <Model position="0,-900,-1500" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="0,-900,-1580" material="Flares/lensflare" scale=5 />
+        <Model position="0,-900,-1500" mesh="planets/moon.mesh" scale=100 />
+        <Billboard colour="1,1,0.05" position="0,-900,-1580" material="Flares/lensflare" scale=5 />
 
-    <Model position="700,-1100,-1750" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="700,-1100,-1830"  material="Flares/lensflare" scale=5 />
+        <Model position="700,-1100,-1750" mesh="planets/moon.mesh" scale=100 />
+        <Billboard colour="1,1,0.05" position="700,-1100,-1830"  material="Flares/lensflare" scale=5 />
 
-    <Model position="1500,-1300,-2000" mesh="planets/moon.mesh" scale=100 />
-    <Billboard colour="1,1,0.05" position="1500,-1300,-2080"  material="Flares/lensflare" scale=5 />
+        <Model position="1500,-1300,-2000" mesh="planets/moon.mesh" scale=100 />
+        <Billboard colour="1,1,0.05" position="1500,-1300,-2080"  material="Flares/lensflare" scale=5 />
 
-  </attached>
-</StaticEntity>
-
-
-
-
-
-
-
-
-<Template name=spaceshipassff>
-  <ControllableEntity
-   camerapositiontemplate = spaceshipassffcameras
-
-   
-  >
-
-  </ControllableEntity>
-
-
-</Template>
-
-
+      </attached>
+    </StaticEntity>
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
Index: code/trunk/data/levels/templates/StoryMode.oxt
===================================================================
--- code/trunk/data/levels/templates/StoryMode.oxt	(revision 11719)
+++ code/trunk/data/levels/templates/StoryMode.oxt	(revision 11722)
@@ -1,21 +1,5 @@
 <Template name=StoryMode>
-  <SpaceShip
+  <Pawn
    hudtemplate            = StoryModeMap
-   camerapositiontemplate = spaceshipghostcameras
-   
-  >
-   
-
-  </SpaceShip>
+  />
 </Template>
-
-<Template name=spaceshipghostcameras defaults=0>
-  <SpaceShip>
-    <camerapositions>
-      <CameraPosition position="0,20,80" drag=true mouselook=true />
-      <CameraPosition position="0,40,160" drag=true mouselook=true />
-      <CameraPosition position="0,50,200" drag=true mouselook=true />
-    </camerapositions>
-  </SpaceShip>
-</Template>
-