Index: code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2D.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2D.cc	(revision 11726)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2D.cc	(revision 11727)
@@ -54,6 +54,9 @@
 #include "Asteroids2DShip.h" // Necessary for getPlayer function. Do NOT include this in Header!
 #include "Asteroids2DStone.h"
+#include "Asteroids2DCenterPoint.h"
+#include "Asteroids2DHUDinfo.h"
 #include "core/CoreIncludes.h"
 #include "Highscore.h"
+#include "gamestates/GSLevel.h"
 
 namespace orxonox
@@ -79,5 +82,8 @@
     }
 
-
+    void Asteroids2D::setCenterpoint(Asteroids2DCenterPoint* center)
+    {
+        this->center_ = center;
+    }
 
     void Asteroids2D::levelUp()
Index: code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2D.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2D.h	(revision 11726)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2D.h	(revision 11727)
@@ -43,22 +43,4 @@
 #include "asteroids2D/Asteroids2DPrereqs.h"
 
-#include "Asteroids2DCenterPoint.h" // Necessary for WeakPointer??
-//#include "Asteroids2DShip.h"        DO NOT include in Header. Will cause forward declaration issues
-
-//#include "Asteroids2DHUDinfo.h"
-
-
-#include "core/EventIncludes.h"
-#include "core/command/Executor.h"
-#include "core/config/ConfigValueIncludes.h"
-
-#include "gamestates/GSLevel.h"
-#include "chat/ChatManager.h"
-
-// ! HACK
-#include "infos/PlayerInfo.h"
-
-#include "core/command/ConsoleCommand.h"
-
 #include "gametypes/Deathmatch.h"
 #include "tools/Timer.h"
@@ -91,6 +73,6 @@
             //Generate Stones
             void spawnStone();
-            void setCenterpoint(Asteroids2DCenterPoint* center)
-                { this->center_ = center; }
+            void setCenterpoint(Asteroids2DCenterPoint* center);
+
             void addPoints(int numPoints);
             virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
Index: code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DCenterPoint.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DCenterPoint.h	(revision 11726)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DCenterPoint.h	(revision 11727)
@@ -38,7 +38,4 @@
 #include "asteroids2D/Asteroids2DPrereqs.h"
 
-//#include "Asteroids2D.h"
-//#include "Asteroids2DHUDinfo.h"
-
 #include "worldentities/StaticEntity.h"
 
Index: code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DHUDinfo.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DHUDinfo.cc	(revision 11726)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DHUDinfo.cc	(revision 11727)
@@ -30,5 +30,5 @@
 #include "core/XMLPort.h"
 #include "util/Convert.h"
-//#include "Asteroids2D.h"
+#include "Asteroids2D.h"
 
 namespace orxonox
Index: code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DHUDinfo.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DHUDinfo.h	(revision 11726)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DHUDinfo.h	(revision 11727)
@@ -31,8 +31,4 @@
 #define _Asteroids2DHUDinfo_H__
 
-//#include "Asteroids2DShip.h"
-#include "Asteroids2D.h"
-//#include "Asteroids2DCenterPoint.h"
-
 #include "asteroids2D/Asteroids2DPrereqs.h"
 
@@ -59,6 +55,4 @@
         private:
             Asteroids2D* Asteroids2DGame;
-            bool bShowLives_;
-            bool bShowLevel_;
             bool bShowPoints_;
 
Index: code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DPrereqs.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DPrereqs.h	(revision 11726)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DPrereqs.h	(revision 11727)
@@ -70,11 +70,8 @@
     class Asteroids2D;
     class Asteroids2DCenterPoint;
+    class Asteroids2DHUDinfo;
     class Asteroids2DShip;
-    class Asteroids2DCube;
-    //class Asteroids2DEnemy;
-    //class Asteroids2DEnemyShooter;
-    //class Asteroids2DWeapon;
-    //class Asteroids2DWeaponEnemy;
-    //class Asteroids2DHUDinfo;
+    class Asteroids2DStone;
+    class Asteroids2DWeapon;
 }
 
Index: code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DShip.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DShip.cc	(revision 11726)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DShip.cc	(revision 11727)
@@ -35,4 +35,5 @@
 #include "Asteroids2DShip.h"
 #include "Asteroids2DStone.h"
+#include "Asteroids2D.h"
 #include "core/CoreIncludes.h"
 
@@ -45,5 +46,5 @@
         RegisterObject(Asteroids2DShip);
 
-        isFireing = false;
+        this->bImmune = false;
         this->width = 1043;
         this->height = 646;
@@ -91,5 +92,4 @@
     void Asteroids2DShip::boost(bool bBoost)
     {
-        isFireing = bBoost;
     }
 
Index: code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DShip.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DShip.h	(revision 11726)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DShip.h	(revision 11727)
@@ -38,16 +38,6 @@
 #include "asteroids2D/Asteroids2DPrereqs.h"
 
-
-#include "core/XMLPort.h"
 #include "worldentities/pawns/SpaceShip.h"
-#include "weapons/WeaponsPrereqs.h"
-#include "graphics/Camera.h"
-
-#include "Asteroids2D.h" // Is necessary for getGame function
-//#include "Asteroids2DCenterPoint.h"
-#include "Asteroids2DStone.h"
-
 #include "tools/Timer.h"
-
 
 namespace orxonox
@@ -67,6 +57,4 @@
 
             virtual inline bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
-
-            bool isFireing;
             
             /*Functions that can be helpful while debugging.
Index: code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DWeapon.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DWeapon.cc	(revision 11726)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DWeapon.cc	(revision 11727)
@@ -35,6 +35,4 @@
 
 #include "core/CoreIncludes.h"
-// #include "core/XMLPort.h"
-// #include "core/command/Executor.h"
 
 #include "graphics/Model.h"
@@ -42,11 +40,7 @@
 #include "weaponsystem/WeaponPack.h"
 #include "weaponsystem/WeaponSystem.h"
-#include "worldentities/WorldEntity.h"
-#include "worldentities/pawns/Pawn.h"
 
 #include "weapons/projectiles/Projectile.h"
 #include "weapons/MuzzleFlash.h"
-
-#include "Asteroids2D.h"
 
 namespace orxonox
@@ -65,17 +59,4 @@
 
     }
-
-    Asteroids2D* Asteroids2DWeapon::getGame()
-    {
-        if (game == nullptr)
-        {
-            for (Asteroids2D* race : ObjectList<Asteroids2D>())
-            {
-                game = race;
-            }
-        }
-        return game;
-    }
-
 
     void Asteroids2DWeapon::shot()
Index: code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DWeapon.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DWeapon.h	(revision 11726)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroids2D/Asteroids2DWeapon.h	(revision 11727)
@@ -40,6 +40,4 @@
 #include "weapons/weaponmodes/HsW01.h"
 
-#include "Asteroids2D.h"
-
 namespace orxonox
 {
@@ -49,11 +47,8 @@
             Asteroids2DWeapon(Context* context);
             virtual ~Asteroids2DWeapon();
-            Asteroids2D* getGame();
-
 
         protected:
             virtual void shot() override; //2D movement
             WeakPtr<Projectile> projectile;
-            WeakPtr<Asteroids2D> game;
     };
 }