Index: code/branches/Presentation_HS17_merge/src/modules/asteroidmining/AsteroidMinable.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroidmining/AsteroidMinable.cc	(revision 11733)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroidmining/AsteroidMinable.cc	(revision 11734)
@@ -50,5 +50,4 @@
 ANDERORTS VERÄNDERTE SACHEN: 
 Pickup-Zeug: 
-o Pickup.h: createSpawner() neu public statt private
 o PickupSpawner.h: Zugriffsrechte setPickupTemplateName() und setMaxSpawnedItems()
 o PickupSpawner.h: In Tick() zwei Testbedingungen eingefügt.
Index: code/branches/Presentation_HS17_merge/src/modules/pickup/Pickup.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/pickup/Pickup.h	(revision 11733)
+++ code/branches/Presentation_HS17_merge/src/modules/pickup/Pickup.h	(revision 11734)
@@ -145,9 +145,6 @@
             virtual void changedPickedUp(void) override; //!< Should be called when the pickup has transited from picked up to dropped or the other way around.
 
-
+        protected:
             virtual bool createSpawner(void) override; //!< Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
-
-
-        protected:
 
             /**
Index: code/branches/Presentation_HS17_merge/src/modules/pickup/PickupSpawner.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/pickup/PickupSpawner.h	(revision 11733)
+++ code/branches/Presentation_HS17_merge/src/modules/pickup/PickupSpawner.h	(revision 11734)
@@ -92,4 +92,10 @@
                 { return this->triggerDistance_; }
             /**
+            @brief Set the distance in which to trigger.
+            @param value The new distance in which to trigger.
+            */
+            inline void setTriggerDistance(float value)
+                { this->triggerDistance_ = value; }
+            /**
             @brief Get the time to respawn.
             @returns Returns the time after which this gets re-actived.
@@ -98,4 +104,10 @@
                 { return this->respawnTime_; }
             /**
+            @brief Set the time to respawn.
+            @param time New time after which this gets re-actived.
+            */
+            inline void setRespawnTime(float time)
+                { this->respawnTime_ = time; }
+            /**
             @brief Get the maximum number of items that will be spawned by this PickupSpawner.
             @return Returns the maximum number of items spawned by this PickupSpawner.
@@ -103,4 +115,6 @@
             inline int getMaxSpawnedItems(void) const
                 { return this->maxSpawnedItems_; }
+            void setMaxSpawnedItems(int items); //!< Sets the maximum number of spawned items.
+
             /**
             @brief Returns the name of the template which is used to create a pickup for this spawner.
@@ -114,11 +128,6 @@
                 {return this->pickupTemplate_; }
 
-
             void setPickupTemplateName(const std::string& name);
-            void setMaxSpawnedItems(int items); //!< Sets the maximum number of spawned items.
-
-            inline void setRespawnTime(float time)
-                { this->respawnTime_ = time; }
-
+            void setPickupTemplate(Template* temp);
 
         private:
@@ -138,19 +147,4 @@
             void block(PickupCarrier* carrier, unsigned int time = DEFAULT_BLOCKED_TIME)
                 { this->blocked_.insert(std::pair<PickupCarrier*, std::time_t>(carrier, std::time(0)+time)); }
-
-            /**
-            @brief Set the distance in which to trigger.
-            @param value The new distance in which to trigger.
-            */
-            inline void setTriggerDistance(float value)
-                { this->triggerDistance_ = value; }
-            /**
-            @brief Set the time to respawn.
-            @param time New time after which this gets re-actived.
-            */
-
-
-
-            void setPickupTemplate(Template* temp);
 
             Pickupable* createPickup(void); //!< Creates a new Pickupable.