Index: code/branches/Presentation_HS17_merge/src/modules/asteroidmining/AsteroidMinable.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroidmining/AsteroidMinable.cc	(revision 11734)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroidmining/AsteroidMinable.cc	(revision 11735)
@@ -177,5 +177,4 @@
         reborn->setVelocity(this->getVelocity());
         // reborn->setAngularVelocity(this->getAngularVelocity()); // Add all other stuff, too?
-        (void)reborn; // avoid compiler warning
 
         this->bAlive_ = false;
@@ -361,16 +360,12 @@
     for(int fisch = 0; fisch<num; ++fisch){
 
-        Vector3* pos = new Vector3(0,0,0); // Position offset
+        Vector3 pos = Vector3::ZERO; // Position offset
         if(num > 1){// not required if there-s just one child
             float r = masses[fisch]/rScaling;
-            pos = new Vector3(r*sin(theta[fisch])*cos(phi[fisch]), r*sin(theta[fisch])*sin(phi[fisch]), r*cos(theta[fisch])); // convert spheric coordinates to vector
+            pos = Vector3(r*sin(theta[fisch])*cos(phi[fisch]), r*sin(theta[fisch])*sin(phi[fisch]), r*cos(theta[fisch])); // convert spheric coordinates to vector
         }
         
-        AsteroidMinable* child = new AsteroidMinable(this->context, masses[fisch], this->getPosition() + *pos, this->dropStuff);
+        AsteroidMinable* child = new AsteroidMinable(this->context, masses[fisch], this->getPosition() + pos, this->dropStuff);
         child->setVelocity(this->getVelocity());
-
-        if(child == nullptr){
-            orxout(internal_error, context::pickups) << "Weird, can't create new AsteroidMinable." << endl;
-        }
 
     }
Index: code/branches/Presentation_HS17_merge/src/modules/asteroidmining/SpicedAsteroidBelt.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroidmining/SpicedAsteroidBelt.cc	(revision 11734)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroidmining/SpicedAsteroidBelt.cc	(revision 11735)
@@ -80,4 +80,5 @@
 
         this->mDensity = 0.3;
+        this->foggy = true;
         this->fogDensity = 0.5;
 
@@ -113,6 +114,6 @@
             }
             
-            Vector3* pos = new Vector3(radius*cos(sepp)*sin(globi), radius*sin(sepp)*sin(globi), radius*cos(globi)); 
-            new SpicedAsteroidField(this->context, this->position + *pos, this->minSize, this->maxSize, width, segmentCount, this->foggy, this->mDensity, this->fogDensity);
+            Vector3 pos(radius*cos(sepp)*sin(globi), radius*sin(sepp)*sin(globi), radius*cos(globi));
+            new SpicedAsteroidField(this->context, this->position + pos, this->minSize, this->maxSize, width, segmentCount, this->foggy, this->mDensity, this->fogDensity);
             
         }
Index: code/branches/Presentation_HS17_merge/src/modules/asteroidmining/SpicedAsteroidField.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/asteroidmining/SpicedAsteroidField.cc	(revision 11734)
+++ code/branches/Presentation_HS17_merge/src/modules/asteroidmining/SpicedAsteroidField.cc	(revision 11735)
@@ -107,6 +107,4 @@
         int pZ;
 
-        Vector3* relPos; 
-
         for(int gertrud = 0; gertrud<count; ++gertrud){
 
@@ -119,6 +117,6 @@
             pY = round(rnd()*2*this->radius) - radius;
             pZ = round(rnd()*2*this->radius) - radius;
-            relPos = new Vector3(pX, pY, pZ);
-            a->setPosition(this->position + *relPos);
+            Vector3 relPos(pX, pY, pZ);
+            a->setPosition(this->position + relPos);
 
             bool spiced = (rnd() < (this->mDensity)); // Whether the asteroid does drop pickups etc. 
@@ -128,8 +126,7 @@
             
             // Fog is iplemented with billboards (as in asteroidField.lua, that bloke had the idea)
-            Billboard* bb;
             if(this->foggy && mod(gertrud, 5) == 0){
-                bb = new Billboard(this->context);
-                bb->setPosition(this->position + *relPos);
+                Billboard* bb = new Billboard(this->context);
+                bb->setPosition(this->position + relPos);
                 bb->setMaterial("Smoke/Smoke");
                 bb->setScale(size);